function $AdfDhtmlChooseDateNowPanel$$() {
  $AdfDhtmlChooseDateNowPanel$$.$superclass$.constructor.call(this, "today");
}
$goog$exportSymbol$$("AdfDhtmlChooseDateNowPanel", $AdfDhtmlChooseDateNowPanel$$);
$AdfObject$$.$createSubclass$($AdfDhtmlChooseDateNowPanel$$, $AdfDhtmlChooseDateLayoutPanel$$);
$AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$($AdfDhtmlChooseDateNowPanel$$);
$AdfDhtmlChooseDateNowPanel$$.prototype.$isVisible$ = function $$AdfDhtmlChooseDateNowPanel$$$$$isVisible$$($component$$480$$, $rootDOMElement$$43$$) {
  $AdfAssert$$.$assertPrototype$($component$$480$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$43$$);
  return this.isEnabled($component$$480$$, $rootDOMElement$$43$$) && ($AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$480$$, $rootDOMElement$$43$$, $AdfDhtmlChooseDatePeer$$.$_DATE_AND_TIME_MODE$) || $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$480$$, $rootDOMElement$$43$$, $AdfDhtmlChooseDatePeer$$.$_TIME_ONLY_MODE$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.isVisible", {$isVisible$:$AdfDhtmlChooseDateNowPanel$$.prototype.$isVisible$});
$AdfDhtmlChooseDateNowPanel$$.prototype.$canProcessDomUIInputEvent$ = function $$AdfDhtmlChooseDateNowPanel$$$$$canProcessDomUIInputEvent$$($component$$481$$, $componentEvent$$55$$) {
  $AdfAssert$$.$assertPrototype$($component$$481$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$55$$, $AdfDomUIInputEvent$$);
  return $AdfDhtmlChooseDateNowPanel$$.$_eventTargetsElementWithId$($componentEvent$$55$$, $AdfDhtmlChooseDatePeer$$.$_NOW_LINK_ID$) ? !0 : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.canProcessDomUIInputEvent", {$canProcessDomUIInputEvent$:$AdfDhtmlChooseDateNowPanel$$.prototype.$canProcessDomUIInputEvent$});
$AdfDhtmlChooseDateNowPanel$$.prototype.$canProcessComponentEvent$ = function $$AdfDhtmlChooseDateNowPanel$$$$$canProcessComponentEvent$$($component$$482$$, $componentEvent$$56$$) {
  $AdfAssert$$.$assertPrototype$($component$$482$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$56$$, $AdfComponentEvent$$);
  return $componentEvent$$56$$ instanceof $AdfChooseDateToggleViewEvent$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.canProcessComponentEvent", {$canProcessComponentEvent$:$AdfDhtmlChooseDateNowPanel$$.prototype.$canProcessComponentEvent$});
$AdfDhtmlChooseDateNowPanel$$.prototype.$handleComponentClick$ = function $$AdfDhtmlChooseDateNowPanel$$$$$handleComponentClick$$($component$$483$$, $componentEvent$$57$$) {
  return $AdfDhtmlChooseDateNowPanel$$.$_handleComponentEvent$($component$$483$$, $componentEvent$$57$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.handleComponentClick", {$handleComponentClick$:$AdfDhtmlChooseDateNowPanel$$.prototype.$handleComponentClick$});
$AdfDhtmlChooseDateNowPanel$$.prototype.$handleComponentKeyDown$ = function $$AdfDhtmlChooseDateNowPanel$$$$$handleComponentKeyDown$$($component$$484$$, $componentEvent$$58$$) {
  var $keyCode$$19$$ = $AdfAgent$$.$AGENT$.$getKeyCode$($componentEvent$$58$$.$getNativeEvent$());
  return $keyCode$$19$$ == $AdfKeyStroke$$.$SPACE_KEY$ || $keyCode$$19$$ == $AdfKeyStroke$$.$ENTER_KEY$ ? $AdfDhtmlChooseDateNowPanel$$.$_handleComponentEvent$($component$$484$$, $componentEvent$$58$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.handleComponentKeyDown", {$handleComponentKeyDown$:$AdfDhtmlChooseDateNowPanel$$.prototype.$handleComponentKeyDown$});
$AdfDhtmlChooseDateNowPanel$$.prototype.$handleComponentToggleView$ = function $$AdfDhtmlChooseDateNowPanel$$$$$handleComponentToggleView$$($component$$485$$) {
  var $nowLink_subid$$2$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$485$$.$getClientId$(), $AdfDhtmlChooseDatePeer$$.$_NOW_LINK_ID$), $nowLink_subid$$2$$ = $AdfAgent$$.$AGENT$.getElementById($nowLink_subid$$2$$);
  $AdfAssert$$.$assertDomElement$($nowLink_subid$$2$$);
  $AdfDhtmlChooseDateNowPanel$$.$_updateLinkText$($component$$485$$, $nowLink_subid$$2$$);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.handleComponentToggleView", {$handleComponentToggleView$:$AdfDhtmlChooseDateNowPanel$$.prototype.$handleComponentToggleView$});
$AdfDhtmlChooseDateNowPanel$$.prototype.$render$ = function $$AdfDhtmlChooseDateNowPanel$$$$$render$$($component$$486$$, $panelRootElement$$14$$) {
  $AdfAssert$$.$assertPrototype$($component$$486$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($panelRootElement$$14$$);
  var $rootTDElem$$2$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {"class":$AdfPage$$.$PAGE$.$getLookAndFeel$().getStyleClass("af|chooseDate::now-row"), align:"center", colspan:7}, $panelRootElement$$14$$);
  $AdfDhtmlChooseDateNowPanel$$.$_buildNowLinkDOM$($component$$486$$, $rootTDElem$$2$$);
  return [];
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateNowPanel.prototype.render", {$render$:$AdfDhtmlChooseDateNowPanel$$.prototype.$render$});
$AdfDhtmlChooseDateNowPanel$$.$_handleComponentEvent$ = function $$AdfDhtmlChooseDateNowPanel$$$$_handleComponentEvent$$($component$$487$$, $componentEvent$$60$$) {
  if ($AdfDhtmlChooseDateNowPanel$$.$_eventTargetsElementWithId$($componentEvent$$60$$, $AdfDhtmlChooseDatePeer$$.$_NOW_LINK_ID$)) {
    var $cdRootElem$$55$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$487$$);
    $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$487$$, $cdRootElem$$55$$, $AdfDhtmlChooseDatePeer$$.$_DATE_AND_TIME_MODE$) ? $AdfChooseDateTodayEvent$$.$queue$($component$$487$$) : $AdfChooseDateNowEvent$$.$queue$($component$$487$$);
    return !0;
  }
  return !1;
};
$AdfDhtmlChooseDateNowPanel$$.$_buildNowLinkDOM$ = function $$AdfDhtmlChooseDateNowPanel$$$$_buildNowLinkDOM$$($component$$488$$, $linkContainer$$) {
  $AdfAssert$$.$assertPrototype$($component$$488$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($linkContainer$$);
  var $clientId$$62_nowLink$$1$$ = $component$$488$$.$getClientId$(), $clientId$$62_nowLink$$1$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("a", {id:$AdfRichUIPeer$$.$CreateSubId$($clientId$$62_nowLink$$1$$, $AdfDhtmlChooseDatePeer$$.$_NOW_LINK_ID$), href:"#", role:"button", "class":$AdfPage$$.$PAGE$.$getLookAndFeel$().getStyleClass("af|commandLink")}, $linkContainer$$);
  $AdfDhtmlChooseDateNowPanel$$.$_updateLinkText$($component$$488$$, $clientId$$62_nowLink$$1$$);
};
$AdfDhtmlChooseDateNowPanel$$.$_updateLinkText$ = function $$AdfDhtmlChooseDateNowPanel$$$$_updateLinkText$$($component$$489$$, $nowLink$$2$$) {
  $AdfAssert$$.$assertPrototype$($component$$489$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($nowLink$$2$$);
  var $cdRootElem$$56_linkTitleTranslationKey$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$489$$), $isDateTimeMode_lnf$$3$$ = $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$489$$, $cdRootElem$$56_linkTitleTranslationKey$$, $AdfDhtmlChooseDatePeer$$.$_DATE_AND_TIME_MODE$);
  $AdfDhtmlChooseDateDOMQueries$$.$getParentID$($component$$489$$, $cdRootElem$$56_linkTitleTranslationKey$$);
  var $linkTextTranslationKey$$ = $isDateTimeMode_lnf$$3$$ ? $AdfDhtmlChooseDatePeer$$.$_LABEL_TODAY_LINK$ : $AdfDhtmlChooseDatePeer$$.$_LABEL_NOW_LINK$, $todayTitle$$ = $AdfDhtmlChooseDatePeer$$.$_TITLE_TODAY_LINK$;
  $AdfDhtmlChooseDateDOMQueries$$.$isLaunchedInDialogByInputDate$($component$$489$$, $cdRootElem$$56_linkTitleTranslationKey$$) && ($todayTitle$$ = $AdfDhtmlChooseDatePeer$$.$_TITLE_CURRENT_MONTH_LINK$);
  $cdRootElem$$56_linkTitleTranslationKey$$ = $isDateTimeMode_lnf$$3$$ ? $todayTitle$$ : $AdfDhtmlChooseDatePeer$$.$_TITLE_NOW_LINK$;
  $isDateTimeMode_lnf$$3$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
  $nowLink$$2$$.textContent = $isDateTimeMode_lnf$$3$$.$getTranslatedString$($linkTextTranslationKey$$);
  $nowLink$$2$$.title = $isDateTimeMode_lnf$$3$$.$getTranslatedString$($cdRootElem$$56_linkTitleTranslationKey$$);
};
$AdfDhtmlChooseDateNowPanel$$.$_eventTargetsElementWithId$ = function $$AdfDhtmlChooseDateNowPanel$$$$_eventTargetsElementWithId$$($componentEvent$$61$$, $id$$232$$) {
  var $eventTarget$$19$$ = $componentEvent$$61$$.$getNativeEventTarget$(), $component$$490_subid$$3$$ = $componentEvent$$61$$.$getCurrentTarget$(), $component$$490_subid$$3$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$490_subid$$3$$.$getClientId$(), $id$$232$$);
  return $AdfDomUtils$$.$isAncestorOrSelf$($AdfAgent$$.$AGENT$.getElementById($component$$490_subid$$3$$), $eventTarget$$19$$);
};
